.pad32 {
    padding: 32px;
}

.helperWidth100 {
    width: 100%;
}

.arrow-path {
    fill: none;
    stroke: #047c0c;
    stroke-miterlimit: 10;
    stroke-width: 2px;
    stroke-linecap: round;
    stroke-linejoin: round;
    overflow: hidden;
}

.sectionContainer {
    display: flex;
    flex-direction: column;
    position: relative;
    width: 100%;
}

.sectionText {
    padding-top: 40px;
    padding-bottom: 40px;
    text-align: center;
}

#welcomeSection {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 100vh;
}

#welcomeArrow {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    transform: translate(0%, -4%);
}

.doodlesWelcomeMobile {
    display: none;
}


#welcomeText {
    position: relative;
    z-index: 2;
    text-align: center;
}

.titleWrapper {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: center;
    align-content: center;
    justify-content: center;

}

.titleWrapper h1 {
    width: max-content;
}

#welcomeSection::before,
#experienceSection::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100vw;
    height: 100%;
    background: white;
    z-index: -1;
}

.cls-1,
.cls-2 {
    fill: none;
}

.cls-1 {
    stroke: #047c0c;
    stroke-width: 6px;
}

.cls-2 {
    stroke: #000;
    stroke-width: 4px;
}

@property --dash-length {
    syntax: "number";
    inherits: false;
    initial-value: 0;
}

@keyframes draw {
    to {
        stroke-dashoffset: 0;
    }
}

@keyframes drawErase {
    0% {
        stroke-dasharray: 0 var(--dash-length);
        stroke-dashoffset: 0;
    }

    /* grow to 40% */
    40% {
        stroke-dasharray: calc(var(--dash-length) * 0.4) var(--dash-length);
        stroke-dashoffset: 0;
    }

    /* move forward while keeping same visible length */
    100% {
        stroke-dasharray: calc(var(--dash-length) * 0.4) var(--dash-length);
        stroke-dashoffset: var(--dash-length);
    }
}

.doodle {
    position: absolute;
    pointer-events: none;
}

.doodleFisher {
    top: -4.5rem;
    left: 100%;
    transform: translateX(-50%);
}

.doodleClimber {
    top: -18.8rem;
    left: 1.5rem;
    transform: translateX(-50%) scaleX(-1) rotateZ(-1deg);
}

#projects {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 8rem;
    padding-bottom: 3rem;
}

.projectCard {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: fit-content;
    position: relative;
    box-shadow: rgba(0, 0, 0, 0.15) 7px 7px 7px;
    border-radius: 20px;
}

.projectImage {
    width: 55%;
    overflow: hidden;
    position: relative;
    min-height: 300px;
}

.projectImage img {
    position: absolute;
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.projectDetails {
    display: flex;
    flex-direction: column;
    width: 45%;
    height: 100%;
    background-color: #ffffff;
    padding: 20px;
    min-height: 300px;
}

.projectHeader {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    height: 86px;
}

.projectTitle {
    padding-bottom: 1rem;
}

.projectNovoMCW {
    background: linear-gradient(90deg, rgba(0, 25, 101, 1) 0%, rgba(0, 90, 210, 1) 100%);
}

.projectNovoLibrary {
    background: linear-gradient(90deg, rgba(0, 90, 210, 1) 0%, rgba(59, 151, 222, 1) 100%);
}

.projectNovoThesis {
    background: linear-gradient(90deg, rgba(4, 124, 12, 1) 0%, rgba(6, 212, 20, 1) 100%);
}

.projectKamstrup {
    background: #d50032;
}

.projectBispebjerg {
    background: #009ce8;
}

.projectSaxen {
    background: linear-gradient(90deg, rgba(31, 21, 19, 1) 0%, rgba(82, 73, 66, 1) 100%);
}

#experienceContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
}

.doodleTextTapUs {
    top: -40%;
    left: 85%;
    width: 100%;
}

.doodleSwirl {
    top: -56%;
    left: 70%;
    transform: rotateZ(-5deg);
}

.doodleBracketLeft {
    left: -16%;
    transform: scaleX(60%);
}

.doodleDocuments {
    top: 97%;
    left: 100%;
    transform: rotateZ(10deg);
}

.doodleTextExperience {
    top: 190%;
    left: -19%;
    transform: rotateZ(270deg);
}

.doodleBracketRight {
    top: 440%;
    left: 99%;
    transform: scaleX(-1) scaleX(60%);
}

.doodleBooks {
    top: 500%;
    left: -25%;
    transform: rotateZ(-1deg);
}

.doodleTextEducation {
    top: 550%;
    left: 102%;
    transform: rotateZ(90deg);
}

.experienceCard {
    width: 750px;
    height: 100px;
    position: relative;
}

.experienceCardBack {
    align-items: center;
    transform: rotateY(180deg);
    height: 100%;
}

.experienceCard.flipped .experienceCardInner {
    transform: rotateY(180deg);
}

.experienceCardInner {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    border-radius: 20px;
    outline: 4px solid #000;
    background-color: transparent;
    transition: transform 0.6s;
    transform-style: preserve-3d;
}

.experienceCardFront,
.experienceCardBack {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    padding: 10px 10px 10px 16px;
    border-radius: 20px;
    flex-direction: row;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.experienceCardFront {
    background: #ffffff;
}

.experienceCardLogo {
    width: 60px;
    height: 60px;
    align-self: center;
    justify-self: center;
}

.experienceCardOverallText {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.experienceCardDetails,
.experienceCardYears {
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    padding-top: 0.5rem;
    padding-left: 1rem;
    align-items: end;
    padding-right: 1rem;
}

.experienceCardYears {

}

.fitAtBottom {
    position: absolute;
    bottom: 0;
}

#aboutSection {
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
}

#AboutText {
    transform: rotate(358deg);
    font-family: "Caveat", cursive;
    font-size: 3rem;
    padding-top: 40px;
}

@keyframes fadeInUp {
    0% {
        transform: translateY(60%);
        opacity: 0;
        overflow: hidden;
    }
    1% {
        overflow: visible;
    }
    100% {
        transform: translateY(0%);
        opacity: 1;
        overflow: visible;
    }
}

@keyframes fadeOutDown {
    0% {
        transform: translateY(0%);
        opacity: 1;
        overflow: visible;
    }
    99% {
        overflow: visible;
    }
    100% {
        transform: translateY(60%);
        opacity: 0;
        overflow: hidden;
    }
}

@keyframes spinIn {
    0% {
        transform: rotate(var(--spin-from, 0deg));
    }
    100% {
        transform: rotate(var(--spin-to, 0deg));
    }
}

@keyframes spinOut {
    0% {
        transform: rotate(var(--spin-to, 0deg));
    }
    100% {
        transform: rotate(var(--spin-from, 0deg));
    }
}

.postCardContainer {
    position: relative;
    display: flex;
    width: 700px;
    aspect-ratio: 9/6.5;
    align-items: center;
}

.postCardMover {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    pointer-events: none;
}

.postCardMover.active {
    pointer-events: auto;
}

.postCardSpinner {
    display: inline-flex; /* or width: fit-content */
    width: 100%;
    height: 100%;
    border: 1px solid #000000;
    flex-direction: row;
}

.postCardMover:nth-child(1) {
    z-index: 1;
    --spin-from: 300deg;
    --spin-to: 355deg;
}
.postCardMover:nth-child(2) {
    z-index: 2;
    --spin-from: 60deg;
    --spin-to: 10deg;
}
.postCardMover:nth-child(3) {
    line-height: 1;
    z-index: 3;
    --spin-from: 290deg;
    --spin-to: 359deg;
}
.postCardMover:nth-child(4) {
    line-height: 1;
    z-index: 4;
    --spin-from: 65deg;
    --spin-to: 5deg;
}
.postCardMover:nth-child(5) {
    line-height: 1;
    z-index: 5;
    --spin-from: 30deg;
    --spin-to: 352deg;
}

.aboutSelector {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-top: 2rem;
    gap: 1rem;
}
.aboutArrow {
    display: flex;
    background: white;
    height: 48px;
    width: 48px;
    align-items: center;
    justify-content: center;
    border-radius: 200rem;
    border: 3px solid #000;
}

#aboutLeftArrow {
    transform: rotateY(180deg);
}

#aboutLeftArrow,
#aboutRightArrow {
    justify-content: left;
    padding-left: 2rem;
    display: flex;
    flex: 1;
}

.aboutArrow img {
    height: 24px;
    width: 24px;
    pointer-events: none;
}

.aboutProgress {
    display: flex;
    flex-direction: row;
    gap: 2rem;
}

.aboutProgressLight {
    width: 12px;
    height: 12px;
    background: #ffffff;
    border: 2px solid #000000;
    border-radius: 200rem;
}

.aboutProgressLight.active {
    background: #047c0c;
}

.aboutSVGDrawing {
    top: 65px;
    right: 200px;
}

/* Single column view for smaller screens. Hides the fancy drawing at the start */
@media (max-width: 1000px) {
    #welcomeArrow {
        display: none;
    }
    
    .doodlesWelcomeMobile {
        display: revert;
    }

    .lightbulbMobile {
        top: 2%;
        left: 0;
    }

    .magnifyingMobile {
        top: 2%;
        right: 0;
    }

    .martiniMobile {
        bottom: 2%;
        right: 0;
    }

    .pencilMobile {
        bottom: 2%;
        left: 40px;
        transform-origin: bottom left;
        transform: rotateZ(-80deg);
    }

    .projectCard {
        flex-direction: column;
        width: 100%;
    }

    .projectImage {
        width: 100%;
        aspect-ratio: 2.5/1;
        min-height: 150px;
    }

    .projectDetails {
        width: 100%;
        min-height: 250px;
    }

    .projectHeader {
        height: 3.5rem;
    }

    .projectThesisText span {
        display: none;
    }

    .projectThesisText:after {
        content: "Novo Nordisk\AMaster Thesis";
        white-space: pre-wrap;
    }

    #experienceContainer, .experienceBeginEducation {
        margin-top: 72px;
    }

    .experienceCard {
        width: 100%;
        height: fit-content;
    }

    .doodleBracketLeft,
    .doodleBracketRight,
    .doodleBooks,
    .doodleTextEducation {
        display: none;
    }

    .doodleBooksMobile {
        top: -121px;
        right: 60%;

        transform: scale(60%) rotateZ(-1deg);
    }

    .doodleTextEducationMobile {
        top: -45px;
        left: 50%;
        transform: rotateZ(0deg) translateX(-50%);
    }

    .doodleDocuments {
        top: -159px;
        right: 60%;
        left: unset;
        transform: scale(45%) rotateZ(21deg);
    }

    .doodleTextExperience {
        top: -45px;
        left: 50%;
        transform: rotateZ(0deg) translateX(-50%);
    }

    .experienceCardLogo {
        display: none;
    }

    .experienceCardOverallText {
        display: flex;
        flex-direction: column;
        width: 100%;
        justify-content: center;
        align-content: center;
        text-align: center;
    }

    .experienceCardDetails,
    .experienceCardYears {
        display: flex;
        width: 100%;
        flex-direction: column;
        padding: 0;
        justify-content: center;
        align-content: center;
        text-align: center;
        align-items: center;
    }

    .experienceCardYears {
        padding-right: 0;
    }

    .experienceCardYears h4 {
        width: 100%
    }

    .doodleTextTapUs {
        top: -80px;
        left: 70%;
        width: 100%;
    }

    .doodleSwirl {
        top: -55px;
        left: 73%;
        transform: rotateZ(-5deg);
    }

    #aboutSection {
        display: flex;
        position: relative;
        flex-direction: column;
        align-items: center;
        gap: 1rem;
    }

    .postCardContainer {
        position: relative;
        display: flex;
        width: 300px;
        aspect-ratio: 6/9;
        align-items: center;
    }

    .aboutSelector {
        gap: 0;
    }

    .contactBigText {
        flex-direction: column;
    }

    .contactBlackLine {
        display: none;
    }
}
